任务单 #35852

ファイルリリースにファイルをアップロードできない。

开放日期: 2015-12-19 23:56 最后更新: 2015-12-20 16:23

报告人:
属主:
(无)
类型:
状态:
关闭
里程碑:
(无)
优先:
5 - Medium
严重性:
5 - Medium
处理结果:
Fixed
文件:

Details

以下の手順でプロジェクトの「リリース」にファイルをアップロードして公開しようとすると、「ファイルの作成に失敗しました」と出て、ファイルの公開が出来ません。

  1. プロジェクトの「ダウンロード」→「管理」を選択する。
  2. 「ファイルリリースの管理」から適当なリリースに対して「編集/ファイルの追加・削除」をクリックする。
  3. 「リリース **** の編集」画面から、「アップロードするファイルを選択」をクリックする。
  4. アップロードしたいファイルを選択する。
  5. アップロードが進むにつれ、青色のゲージが右に進んでいく。
  6. 青色のゲージが右端に到達した時点で、「uploadedBytes: Uploaded bytes exceed file size 176768/176768 (100%)」等と表示され、ゲージが赤色に変わる。
  7. 「ファイルの作成に失敗しました」と出て、ファイル公開が出来ません。

この症状は、2015-11-16頃には発生しませんでしたが、2015-11-28頃以降、発生するようになりました。また、ごくまれに発生しない場合もありますが条件は不明です。

また、0バイトや1バイト程度の小さなファイルでは発症しませんでした。

クライアント環境は、FreeBSD 9.3-RELEASE-p30/amd64 上の Firefox 42.0、Debian 8.2 GNU/Linux/x86_64 上の Iceweasel 38.5 および Firefox 43.0、MS-Windows 7 上の Firefox 42.0 および Internet Explorer 11、の、どの環境でも発生します。

宜しくお願いします。

任务单历史 (3/7 Histories)

2015-12-19 23:56 Updated by: g-hal
  • New Ticket "ファイルリリースにファイルをアップロードできない。" created
2015-12-20 05:14 Updated by: ishikawa
  • 处理结果 Update from to Accepted
评论

こちらでテストをしてみましたが 再現しません。以下を教えて下さい

  • アップロードできるファイルの最大サイズは 2047Mバイトに制限してあります(2015-11-16 までは大丈夫だったということですが以前からこのサイズで設定されています) このサイズを越えるサイズのファイルをアップロードしようとしていないでしょうか? 越えてないということであれば 実際にアップロードしようとしているファイルの正確なサイズを教えて下さい
  • proxy は使用していますか?
2015-12-20 06:06 Updated by: ishikawa
评论

#35851 のコメントに書きましたが おそらくこの問題は #35851 で発生したバグによる リリースの状態不整合が 原因であろうと推測されます。

問題が発生しているリリースを教えて下さい。

2015-12-20 06:15 Updated by: ishikawa
评论

#35851 に追記しましたが https://osdn.jp/projects/gearhead1-i18n/releases/64184 は修正済です。

2015-12-20 13:20 Updated by: g-hal
评论

素早い対応有り難う御座います。

問題が発生しているリリースは、御指摘の通りの https://osdn.jp/projects/gearhead1-i18n/releases/64184 と、その他、 https://osdn.jp/projects/gearhead2-utf8/releases/64111https://osdn.jp/projects/gearhead2-utf8/releases/64116 になります。

問題が発生したリリースは全て、#35851 にて、一度ファイルの公開に失敗したリリースばかりです。 「#35851 のコメント 2015-12-20 06:14」の修正を頂いた後、本問題は発生しなくなった事を確認しました。

  • アップロードしようとしたファイルサイズは 176768 バイトです。
  • proxy は、squid の使用と、proxy の不使用と、両方試しました。
2015-12-20 13:48 Updated by: ishikawa
  • 处理结果 Update from Accepted to Fixed
评论

g-hal への返信

素早い対応有り難う御座います。 問題が発生しているリリースは、御指摘の通りの https://osdn.jp/projects/gearhead1-i18n/releases/64184 と、その他、 https://osdn.jp/projects/gearhead2-utf8/releases/64111https://osdn.jp/projects/gearhead2-utf8/releases/64116 になります。

(#35851 の方にも書きましたが一応ここにもメモということで) こちらの2つに関しても状況を確認して修正いたしました、ご確認下さい。

問題が発生したリリースは全て、#35851 にて、一度ファイルの公開に失敗したリリースばかりです。 「#35851 のコメント 2015-12-20 06:14」の修正を頂いた後、本問題は発生しなくなった事を確認しました。

はい、了解いたしました。

* アップロードしようとしたファイルサイズは 176768 バイトです。

そのサイズなら通常問題ないはずで 今回の問題はファイルのサイズではなく既存の同名ファイルが (別のバグにより) すでに存在する状態だったことが原因なのでエラー時のメッセージが不適切ですね... 今回のケースは通常発生しないために 異なったエラーメッセージが表示されてしまったので なんらか修正可能かどうかも含め この部分は別途近日中に対処したいと思います。

2015-12-20 16:23 Updated by: g-hal
  • Ticket Close date is changed to 2015-12-20 16:23
  • 状态 Update from 开启 to 关闭
评论

#35851 の解決に伴い、残っていた両リリース共に、ファイルの公開ができ、問題が解決された事を確認しました。

今回のケースは通常発生しないために 異なったエラーメッセージが表示されてしまったので なんらか修正可能かどうかも含め この部分は別途近日中に対処したいと思います。

了解致しました。

対応有難う御座いました。

Attachment File List

No attachments

编辑

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » 登录名